'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (str) {
  for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }

  checkArg(str);
  var result = _lodash2.default.toUpper(str) + ' - ' + _lodash2.default.toLower(str);
  args.forEach(function (arg) {
    checkArg(arg);
    result += ' | ' + _lodash2.default.toUpper(arg) + ' - ' + _lodash2.default.toLower(arg);
  });
  return result;
};

var checkArg = function checkArg(arg) {
  if (!_lodash2.default.isString(arg)) {
    throw new Error('Unexpected string');
  }
};