import _ from 'lodash';

export default (str, ...args) => {
  checkArg(str);
  let result = `${_.toUpper(str)} - ${_.toLower(str)}`;
  args.forEach(arg => {
    checkArg(arg);
    result += ` | ${_.toUpper(arg)} - ${_.toLower(arg)}`
  });
  return result;
}

const checkArg = arg => {
  if (!_.isString(arg)) {
    throw (new Error('Unexpected string'));
  }
}
